export class AdHocQuestionLoader extends Component<any, any, any> {
    constructor(props: any);
    constructor(props: any, context: any);
    state: {
        question: null;
        card: null;
        loading: boolean;
        error: null;
    };
    UNSAFE_componentWillMount(): void;
    UNSAFE_componentWillReceiveProps(nextProps: any): void;
    _loadQuestion(questionHash: any): Promise<void>;
    render(): any;
}
declare const _default: import("react-redux").ConnectedComponent<typeof AdHocQuestionLoader, {
    [x: string]: any;
    [x: number]: any;
    [x: symbol]: any;
    context?: import("react-remove-scroll/node_modules/@types/react").Context<import("react-redux").ReactReduxContextValue<any, UnknownAction> | null> | undefined;
    store?: any;
} | {
    [x: string]: any;
    [x: number]: any;
    [x: symbol]: any;
    store?: any;
}>;
export default _default;
import { Component } from "react";
